

subroutine initialize(params, anm_, an_, anp_, bnm_, bn_, bnp_, &
     cnm_, cn_, cnp_, dnm_, dn_, dnp_, phi, temp)
  use input_params
  implicit none

  real*8, dimension(100):: params
  real*8, dimension(:,:,:), target :: anm_, an_, anp_, &
       bnm_, bn_, bnp_, cnm_, cn_, cnp_, dnm_, dn_, dnp_, phi, temp 

  call initial(params, an_, bn_, cn_, dn_, temp)
  
  call initstep(params, anm_, an_, anp_, bnm_, bn_, bnp_, cnm_, cn_, cnp_, &
       dnm_, dn_, dnp_, temp)

end subroutine initialize

